# Grant Playbook

The Celo Foundation believes in investing in projects that share Celo’s mission of building an open financial system that creates conditions of prosperity for everyone. This document provides a summary of best practices that grantees are encouraged to follow to further this mission.

Everyone who engages with the Celo ecosystem must abide by the [Code of Conduct](https://celo.org/code-of-conduct). Please take the time to read through it with your team.

## Communication Guidelines

### Social Media Engagement

Creating an ecosystem that supports and encourages each other is important to the Celo community. As a team, please make sure to actively engage in social media.

- Setup a Twitter handle for your project (if you don’t have one already)
- Publish (at least) one post per week
- Follow @CeloOrg and @CeloDevs
- Follow projects in your space & fellow grant recipients
- Identify and follow influencers who might be interested in your space. To help you get started, here is a [list](https://twitter.com/i/lists/1247200668470915074) of influencers we follow.
- Post links to your blog posts, repos, etc
- Use the hashtag #CeloGrants so you can join the conversation about the grant program

### Blog

Each project should have a dedicated blog. Two suggestions are devpost or Medium.

- Write a blog post at least once per month/milestone outlining your progress to date (i.e. accomplishments and challenges). Include links to repos, demos, or social media.
- If using Medium, please share your Medium profile tag with [community@celo.org](mailto:community@celo.org) so we may add you as a writer for the Celo Medium Publication
- Here are some writing tips:
  - [Celo Blogging Guide](https://docs.google.com/document/d/1pzlosMQxnOAxxHnLa7ES8pgQBRWC7ArMObI9OwU8mBI/edit?usp=sharing)  
  - [How to write a killer press release](https://medium.com/@DaveCorn/how-to-write-a-killer-press-release-cd34791d6533)
  - [How to write a new product announcement](https://medium.com/@emilylope18/how-do-you-write-a-new-product-announcement-4706454adbad)

## Engagement & Documentation

### Source Code

In the spirit of decentralization, The Celo Foundation expects all funded projects to be open-source by default -- this means that the codebase is public and under a permissive license (we recommend [Apache 2.0](https://en.wikipedia.org/wiki/Apache_License)). If there are any parts that need to be kept private (eg. an admin key), please let us know ahead of time (at grants@celo.org), and document it in your project’s README.

To make sure teams are making progress on projects, send us bi-weekly updates to grants@celo.org. The intent is not to create pressure, but to provide structure and guidance in case things get off track. Some suggestions:

- Create a top-level README.md to provide a description of your project, goals, features, roadmap and installation instructions.
- Ensure that all work is regularly committed to a repo. Track and close issues.

### Chat

- Make sure to ask questions in a relevant Discord channel. [You can join the Celo Discord here.](https://discord.gg/vRbExjv) The cLabs protocol and product teams are all there and available for questions. Try not to take conversations to direct messages -- by having conversations in an open channel, other groups can also benefit from the technical discussions and learnings. You can tag mentors in public channel messages to ensure your messages are seen. cLabs mentors handles are:  `@joshc | cLabs`, `@Henry | cLabs`

- Please make an effort to remain visible on [#developerchat](https://discord.gg/kzsb82) and/or [#dapps](https://discord.gg/vRbExjv) channels. These channels are dedicated to teams working on projects on the Celo ecosystem. There is a good chance someone has encountered similar challenges. It’s also a great way to find ways to integrate with other projects in the space.
- Please make sure your entire team is in this chat room.
- Also please post your tweets and blog posts so that other grantees can share social media.

### Office Hours via Video Chat

If you need additional support and would like to schedule a video call, please reach out to [grants@celo.org](mailto:grants@celo.org) to schedule some time during our weekly office hours.

## Milestone Reviews & Payment

Once you have completed a grant milestone, please send an email to [grants@celo.org](mailto:grants@celo.org). The grant committee will then review to ensure objectives have been met.

After your milestone has been approved by the grant committee, payment will be issued.

## Evaluating Grant Success

Before the final payment, grants will be evaluated using the following framework:

- Engagement: How well you follow best practices & engage with the Celo community
- Visibility: Maintaining transparency on your project accomplishments and challenges
- Roadmap: Ability to reference a list of commits that complete your roadmap
- Timeline/Milestones: Ability to meet your timeline and key milestones
- Launch: Successful launch!
